/*
 * Class ARRAY [POINTER]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1792 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1792 [] = {0xFF01,1551,1791,881,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1792 [] = {0xFF01,1791,881,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1792 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1792 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1792 [] = {0xFF01,1791,881,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1792 [] = {0xFF01,1791,881,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1792 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1792 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1792 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1792 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1792 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1792 [] = {1791,881,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1792 [] = {0xFF01,1791,881,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1792 [] = {0xFF01,1792,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1792 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1792 [] = {0xFF01,1787,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1792 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1792 [] = {0xFF01,1786,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1792 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1792 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1792 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1792 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1792 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1792 [] = {0xFF01,1814,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1792 [] = {0xFF01,1786,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1792 [] = {0xFF01,1791,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1792 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1792 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1792 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_1792 [] = {0xFF01,580,0xFFFF};


static const struct desc_info desc_1792[] = {
	{EIF_GENERIC(NULL), 11492, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1792), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1792), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11449, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1792), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11487, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1792), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1792), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1792), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1792), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1792), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1792), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1792), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1792), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1792), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1792), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1792), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11442, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9213, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8628, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8629, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8630, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8631, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8632, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1792), 11486, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1792), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9424, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9425, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9420, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9422, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11477, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11481, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11455, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11456, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9027, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9062, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11490, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9028, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11489, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9029, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11470, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1792), 11015, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1792), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1792), 10463, 0},
	{EIF_GENERIC(NULL), 10456, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10457, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1792), 11439, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1792), 11440, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11454, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11459, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10462, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1792), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11433, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11434, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11435, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11436, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11437, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11438, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1792), 11441, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11443, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11444, 12},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11450, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11451, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11453, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11458, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11460, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11461, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11462, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11463, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11464, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11465, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11466, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11467, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11468, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11469, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11471, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11472, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11473, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11474, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11475, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11476, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11478, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11479, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11480, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11482, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1792), 11483, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1792), 11484, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1792), 11485, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1792), 11488, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11491, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1792), 11439, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1792), 11440, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11454, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11459, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11459, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1792), 11439, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_1792), 11448, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11454, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11445, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11446, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11457, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11447, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11452, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1792(void)
{
	IDSC(desc_1792, 0, 1791);
	IDSC(desc_1792 + 1, 1, 1791);
	IDSC(desc_1792 + 32, 1134, 1791);
	IDSC(desc_1792 + 41, 586, 1791);
	IDSC(desc_1792 + 47, 1135, 1791);
	IDSC(desc_1792 + 56, 1088, 1791);
	IDSC(desc_1792 + 58, 1422, 1791);
	IDSC(desc_1792 + 67, 4, 1791);
	IDSC(desc_1792 + 105, 916, 1791);
	IDSC(desc_1792 + 111, 1570, 1791);
	IDSC(desc_1792 + 114, 554, 1791);
	IDSC(desc_1792 + 115, 1395, 1791);
	IDSC(desc_1792 + 117, 778, 1791);
	IDSC(desc_1792 + 118, 878, 1791);
	IDSC(desc_1792 + 119, 794, 1791);
}


#ifdef __cplusplus
}
#endif
